#include <mega128.h>

// Timer 0 overflow interrupt service routine
interrupt [TIM0_OVF] void timer0_ovf_isr(void)
{
    // Reinitialize Timer 0 value
    TCNT0=0xE0;
    // Place your code here
    
    //   
    
}

// Declare your global variables here

void main(void)
{
    // Timer/Counter 0 initialization
    // Clock source: TOSC1 pin
    // Clock value: TOSC1/1024
    // Mode: Normal top=FFh
    // OC0 output: Disconnected
    ASSR=0x08;
    TCCR0=0x07;
    TCNT0=0xE0;
    OCR0=0x00;
    
    // Timer(s)/Counter(s) Interrupt(s) initialization
    TIMSK=0x01;
    ETIMSK=0x00;
    
    // Analog Comparator initialization
    // Analog Comparator: Off
    // Analog Comparator Input Capture by Timer/Counter 1: Off
    ACSR=0x80;
    SFIOR=0x00;
    
    // Global enable interrupts
    #asm("sei")
    
    while (1)
    {
        //  

    };
}
